# Fediverse


- [post: Не ходи в Fediverse, там тебя ждут неприятности. — Ну как же туда не ходить? Они же ждут | geekr.](https://geekr.vercel.app/post/345402/)
- [plan of fediverse](https://mitra.social/post/018ccbfc-6b7e-1490-086c-d41bff6efb71)

## Спецификации
[ActivityPub](https://www.w3.org/TR/activitypub/#liked)
  - [Understanding ActivityPub - Part 1: Protocol Fundamentals - Sebastian Jambor's blog](https://seb.jambor.dev/posts/understanding-activitypub/)
  - [How to implement a basic ActivityPub server](https://blog.joinmastodon.org/2018/06/how-to-implement-a-basic-activitypub-server/)

[fediverse/fep: Fediverse Enhancement Proposals - Codeberg.org](https://codeberg.org/fediverse/fep)
- [fep/fep-a4ed.md at main - fep - Codeberg.org](https://codeberg.org/fediverse/fep/src/branch/main/fep/a4ed/fep-a4ed.md)

[ForgeFed](https://forgefed.org/spec/)
- [#59 - \[FEAT\] implement federation - forgejo/forgejo - Codeberg.org](https://codeberg.org/forgejo/forgejo/issues/59)

## FireFish
Форк Misskey, социальной сети для микроблгов с некоторыми хорошими дополнениями

[A fun, new, open way to experience social media](https://firefish.dev/firefish/firefish)
- lang: TypeScript, Rust
- license: AGPL-3.0

## Приложения

[Yarn.social - The decentralized social micro-blogging platform that actually respects your privacy](https://yarn.social/)
- [yarnsocial/yarn: 📕 yarn is a Self-Hosted, Twitter™-like Decentralised micro-Blogging platform. No ads, no tracking, your content, your data! - yarn - Mills](https://git.mills.io/yarnsocial/yarn)
- lang: go
- license: AGPL-3.0

[Welcome - BookWyrm](https://bookwyrm.social/)
- [github: bookwyrm-social/bookwyrm: Social reading and reviewing, decentralized with ActivityPub](https://github.com/bookwyrm-social/bookwyrm)
- langs: python,html
- license: ACSL-1.0

[Newest items](https://littr.me/)
- [GitHub - mariusor/go-littr: Link aggregator inspired by (old)reddit using ActivityPub federation.](https://github.com/mariusor/go-littr)
- lang: Go
- license: MIT

[gPodder: Media aggregator and podcast client](https://gpodder.github.io/)
- [host: gpodder.net — discover and track your podcasts](https://gpodder.net/)
- [gpodder/gpodder: The gPodder podcast client.](https://github.com/gpodder/gpodder)
- license: GPL-3.0
- lang: Python

[WriteFreely](https://writefreely.org/)
- [writefreely/writefreely: A clean, Markdown-based publishing platform made for writers. Write together, and build a community.](https://github.com/writefreely/writefreely)
- license: AGPL-3.0
- lang: Go


- [silverpill/mitra-web: Mitra Web UI - mitra-web - Codeberg.org](https://codeberg.org/silverpill/mitra-web)
- [GitHub - yukimochi/Activity-Relay: Yet another powerful customizable ActivityPub relay server written in Go.](https://github.com/yukimochi/Activity-Relay)
- [Git Social - A git in the fediverse continues](https://git.vp.mk/ui/git-social.git/master/tree)
- [~mariusor/brutalinks - Link aggregator inspired by reddit using ActivityPub federation. - sourcehut git](https://git.sr.ht/~mariusor/brutalinks)

## [Mastodon - Decentralized social media](https://joinmastodon.org/)

Социальная сеть для коротких новостей и тредов. 
Аналог twitter(x), nostr или bluesky.
Очень прожорливая, рекомендуется альтернативы для установки на собственный сервер

- [Mastodon instances](https://instances.social/)

- [github: mastodon/mastodon: Your self-hosted, globally interconnected microblogging community](https://github.com/mastodon/mastodon)
- license: AGPL-3.0
- lang: Ruby

- [GitHub - kawax/socialite-mastodon](https://github.com/kawax/socialite-mastodon)
support laravel socialite for mastodon accounts
- lang: PHP
- [GitHub - halcy/mastodon_mod_tools: A maybe future set of tools to help with mastodon moderation](https://github.com/halcy/mastodon_mod_tools)

- [Elk](https://elk.zone/m.webtoo.ls/public/local)
- description: Альтернативный фронтенд для mastodon instance
- [github: elk-zone/elk](https://github.com/elk-zone/elk)
- lang: TypeScript
- license: MIT

- [A GitHub action to toot from a repository](https://github.com/joschi/toot-together)
- lang: JavaScript
- license: MIT

## [What is PeerTube? | JoinPeerTube](https://joinpeertube.org/)

Видеохостинг для видео.
Аналог youtube, vimeo, odysee.

Поиск по всем(кто попал в список framasoft).
- [Sepia Search](https://sepiasearch.org/)

- [Framasoft / PeerTube / PeerTube · GitLab](https://framagit.org/framasoft/peertube/PeerTube)
- [client: tchncs](https://tube.tchncs.de/videos/trending?s=1)
- lang: TypeScript

[Your free and decentralized audio platform - Funkwhale](https://funkwhale.audio/)
- [funkwhale / funkwhale · GitLab](https://dev.funkwhale.audio/funkwhale/funkwhale)
- lang: Python,Vue
- license: AGPL-3.0

[Lemmy - A link aggregator for the fediverse](https://join-lemmy.org/)
- [GitHub - LemmyNet/lemmy: 🐀 A link aggregator and forum for the fediverse](https://github.com/LemmyNet/lemmy)
- lang: Rust,TypeScript
- license: AGPL-3.0

- [Yonle/snac2: A simple, minimalistic ActivityPub instance written in portable C - Codeberg.org](https://codeberg.org/Yonle/snac2)
- lang: C
- license: MIT

## Классные инструменты

- [GitHub - louisgrasset/touitomamout: Touitomamout is an easy way to synchronize your Twitter's tweets 🦤 to Mastodon 🦣 and Bluesky post ☁️ (also known as Twitter to Mastodon & Bluesky crossposter)](https://github.com/louisgrasset/touitomamout)
- [Mostr | Nostr bridged to the Fediverse](https://mostr.pub/)
 - [Soapbox / Mostr · GitLab](https://gitlab.com/soapbox-pub/mostr)
 - lang: TypeScript
 - license: AGPL-3.0
- [GitHub - LemmyNet/activitypub-federation-rust: High-level Rust library for the Activitypub protocol](https://github.com/LemmyNet/activitypub-federation-rust/tree/main)
- lang: Rust

## Интересные сообщества

- [pleroma.dark-alexandr.net](https://pleroma.dark-alexandr.net/users/fmn)
> Смотрим фильмы, предложенные пользователями, каждое воскресенье
- [Mike Macgirvin](https://elk.vmst.io/vmst.io/@mikedev@fediversity.site)
- [Video channel videos - XXIV Production](https://xxivproduction.video/c/regex/videos)
- [Delightful Club](https://delightful.club/)

## Еще больше про fediverse и не только

- [GitHub - redecentralize/alternative-internet: A collection of interesting new networks and tech aiming at decentralisation (in some form).](https://github.com/redecentralize/alternative-internet)

[Fediverse.Party - explore federated networks](https://fediverse.party/)
- [fediverse/fediparty: 🌌 A quick look into Fediverse networks - - fediparty - Codeberg.org](https://codeberg.org/fediverse/fediparty)
- lang: JavaScript,Sass(scss)
- license: AGPL-3.0

- [FediDB - Fediverse Network Statistics](https://fedidb.org)
- [Fediverse Observer | Fediverse](https://fediverse.observer/)
